Summary: Nano's ANOther editor, an enhanced free Pico clone 
Name: nano
Version: 1.2.5
Release: 1tr
Group: Trustix Official
Source: http://www.nano-editor.org/dist/v1.2/nano-%{version}.tar.gz
License: GPL
Requires: ncurses 
Prereq: htmlinfo
BuildRequires: texinfo
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
nano is a small, free and friendly editor which aims to replace Pico, 
the default editor included in the non-free Pine package. Rather than 
just copying Pico's look and feel, nano also implements some missing 
(or disabled by default) features in Pico, such as "search and replace" 
and "go to line number".

%prep
%setup -q

%build
%configure --prefix=%{_prefix} \
	--enable-color  \
	--enable-multibuffer \
	--enable-nanorc \
	--enable-speller

CFLAGS="$RPM_OPT_FLAGS" make
makeinfo --html --no-split %{name}.texi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/html/%{name}
install -m 644 %{name}.html ${RPM_BUILD_ROOT}%{_datadir}/html/%{name}/

rm -rf $RPM_BUILD_ROOT/usr/share/locale/*
rm -rf $RPM_BUILD_ROOT/usr/share/info/nano.info*
%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh


%files
%defattr(-,root,root,0755)
%{_bindir}/nano
%{_mandir}/man1/nano.1*
%{_mandir}/man5/nanorc.5*
%{_datadir}/html/%{name}/*

%changelog
* Tue Aug  9 2005 Nived Gopalan <nived at comodo dot com> 
- Initial build for TSL-3.0
